server:
  port: 8080

spring:
  application:
    name: backend
  datasource:
    url: jdbc:h2:mem:testdb
    username: sa
    driverClassName: org.h2.Driver
  jpa:
    hibernate:
      ddl-auto: create
    properties:
      hibernate:
        dialect: org.hibernate.dialect.H2Dialect
    defer-datasource-initialization: true # Delays loading the data.sql file until after Hibernate constructs the tables for us
  h2:
    console:
      enabled: true
management:
  endpoints:
    web:
      exposure:
        include: "*"